Method: projects.locations.spaces.applicationTemplates.revisions.generate

Generates Terraform files for an application template revision. This is a SYNCHRONOUS operation and returns the generated IaC directly in the response. It does NOT download external module sources; it only uses remote sources.

HTTP request

POST https://designcenter.googleapis.com/v1alpha/{name=projects/*/locations/*/spaces/*/applicationTemplates/*/revisions/*}:generate

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the application template revision.

Request body

The request body contains data with the following structure:

JSON representation
{
  "iacFormat": enum (IACFormat),
  "artifactLocation": {
    object (ArtifactLocation)
  }
}
Fields
iacFormat

enum (IACFormat)

Optional. The IaC format to generate.

artifactLocation

object (ArtifactLocation)

Optional. Specifies the destination for the generated IaC, which can be Cloud Storage or a Developer Connect repository.

Response body

Response message for revisions.generate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "artifactLocation": {
    object (ArtifactLocation)
  },
  "rootModulesMetadata": {
    object (RootModulesMetadata)
  }
}
Fields
artifactLocation

object (ArtifactLocation)

The destination where the generated IaC was written.

rootModulesMetadata

object (RootModulesMetadata)

Root modules metadata of the application template revision.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • designcenter.applicationTemplateRevisions.get

For more information, see the IAM documentation.

IACFormat

The IaC format to generate.

Enums
IAC_FORMAT_UNSPECIFIED IaC format is unspecified.
TERRAFORM IaC format is Terraform.
HELM IaC format is HELM.